summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_fetch_subdirs.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/pkg_fetch_subdirs.subr')
-rw-r--r--subr/pkg_fetch_subdirs.subr23
1 files changed, 23 insertions, 0 deletions
diff --git a/subr/pkg_fetch_subdirs.subr b/subr/pkg_fetch_subdirs.subr
new file mode 100644
index 00000000..680871e2
--- /dev/null
+++ b/subr/pkg_fetch_subdirs.subr
@@ -0,0 +1,23 @@
+#
+# set -o errexit -o noglob are assumed.
+#
+
+pkg_fetch_subdirs() {
+ if [ -z "${PKG_BUILD_DIR}" ]; then
+ if [ -e "${PKG_BASE_DIR}/${PKG_SUBDIR}/configure" ]\
+ || [ -e "${PKG_BASE_DIR}/${PKG_SUBDIR}/configure.ac" ]\
+ || [ -e "${PKG_BASE_DIR}/${PKG_SUBDIR}/configure.in" ]; then
+ PKG_BUILD_DIR="${PKG_BASE_DIR}/obj";
+ else
+ PKG_BUILD_DIR="${PKG_BASE_DIR}/${PKG_SUBDIR}";
+ fi;
+ else
+ PKG_BUILD_DIR="${PKG_BASE_DIR}/${PKG_BUILD_DIR}";
+ fi;
+ if [ ! -d "${PKG_BUILD_DIR}" ]; then
+ build_fileop mkdir "${PKG_BUILD_DIR}";
+ fi;
+ build_fileop cd "${PKG_BUILD_DIR}";
+};
+
+# vim:filetype=sh